Subject: Re: bug#78953: 31.0.50; tab-bar-format-align-right alignment breaks if field widths change

From: Daniel Mendler <[email-masked]>
Date: Thu, 10 Jul 2025 09:53:04 +0200

Juri Linkov <[email-masked]> writes:

>> Thanks. I think the code should be simplified - in fact it is
>> problematic like this since it will leak memory, if the string changes,
>> for example for a timer which counts up, where the same string will only
>> needed for a short while. A hash table is not needed to memoize a single
>> pair. It suffices to only store the current string to optimize
>> redisplay. You could store the string in the car of a cons, and the
>> width in the cdr.
>
> So you meant caching only the last string?  This is implemented now as well.

Yes, this is exactly what I meant. I will test it soon. Thanks again!

Daniel